Package org.apache.lucene.codecs.lucene100

# Class Lucene100Codec

java.lang.Object
org.apache.lucene.codecs.Codec
org.apache.lucene.codecs.lucene100.Lucene100Codec

All Implemented Interfaces:
  `NamedSPILoader.NamedSPI`

public class Lucene100Codec extends Codec
Implements the Lucene 10.0 index format

If you want to reuse functionality of this codec in another codec, extend `FilterCodec`.

See Also:
  - `package documentation for file format details.`
WARNING: This API is experimental and might change in incompatible ways in the next release.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Lucene100Codec.Mode`
Configuration option for the codec.

## Constructor Summary

Constructors
Constructor
Description
`Lucene100Codec()`
Instantiates a new codec.
`Lucene100Codec(Lucene100Codec.Mode mode)`
Instantiates a new codec, specifying the stored fields compression mode to use.

## Method Summary

Modifier and Type
Method
Description
`final CompoundFormat`
`compoundFormat()`
Encodes/decodes compound files
`final DocValuesFormat`
`docValuesFormat()`
Encodes/decodes docvalues
`final FieldInfosFormat`
`fieldInfosFormat()`
Encodes/decodes field infos file
`DocValuesFormat`
`getDocValuesFormatForField(String field)`
Returns the docvalues format that should be used for writing new segments of `field` .
`KnnVectorsFormat`
`getKnnVectorsFormatForField(String field)`
Returns the vectors format that should be used for writing new segments of `field`
`PostingsFormat`
`getPostingsFormatForField(String field)`
Returns the postings format that should be used for writing new segments of `field`.
`final KnnVectorsFormat`
`knnVectorsFormat()`
Encodes/decodes numeric vector fields
`final LiveDocsFormat`
`liveDocsFormat()`
Encodes/decodes live docs
`final NormsFormat`
`normsFormat()`
Encodes/decodes document normalization values
`final PointsFormat`
`pointsFormat()`
Encodes/decodes points index
`final PostingsFormat`
`postingsFormat()`
Encodes/decodes postings
`final SegmentInfoFormat`
`segmentInfoFormat()`
Encodes/decodes segment info file
`final StoredFieldsFormat`
`storedFieldsFormat()`
Encodes/decodes stored fields
`final TermVectorsFormat`
`termVectorsFormat()`
Encodes/decodes term vectors

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Lucene100Codec

public Lucene100Codec()
Instantiates a new codec.

### Lucene100Codec

public Lucene100Codec(Lucene100Codec.Mode mode)
Instantiates a new codec, specifying the stored fields compression mode to use.

Parameters:
  `mode` - stored fields compression mode to use for newly flushed/merged segments.

## Method Details

### storedFieldsFormat

public final StoredFieldsFormat storedFieldsFormat()
Description copied from class: `Codec`
Encodes/decodes stored fields

Specified by:
  `storedFieldsFormat` in class `Codec`

### termVectorsFormat

public final TermVectorsFormat termVectorsFormat()
Description copied from class: `Codec`
Encodes/decodes term vectors

Specified by:
  `termVectorsFormat` in class `Codec`

### postingsFormat

public final PostingsFormat postingsFormat()
Description copied from class: `Codec`
Encodes/decodes postings

Specified by:
  `postingsFormat` in class `Codec`

### fieldInfosFormat

public final FieldInfosFormat fieldInfosFormat()
Description copied from class: `Codec`
Encodes/decodes field infos file

Specified by:
  `fieldInfosFormat` in class `Codec`

### segmentInfoFormat

public final SegmentInfoFormat segmentInfoFormat()
Description copied from class: `Codec`
Encodes/decodes segment info file

Specified by:
  `segmentInfoFormat` in class `Codec`

### liveDocsFormat

public final LiveDocsFormat liveDocsFormat()
Description copied from class: `Codec`
Encodes/decodes live docs

Specified by:
  `liveDocsFormat` in class `Codec`

### compoundFormat

public final CompoundFormat compoundFormat()
Description copied from class: `Codec`
Encodes/decodes compound files

Specified by:
  `compoundFormat` in class `Codec`

### pointsFormat

public final PointsFormat pointsFormat()
Description copied from class: `Codec`
Encodes/decodes points index

Specified by:
  `pointsFormat` in class `Codec`

### knnVectorsFormat

public final KnnVectorsFormat knnVectorsFormat()
Description copied from class: `Codec`
Encodes/decodes numeric vector fields

Specified by:
  `knnVectorsFormat` in class `Codec`

### getPostingsFormatForField

public PostingsFormat getPostingsFormatForField(String field)
Returns the postings format that should be used for writing new segments of `field`.

The default implementation always returns "Lucene912".

WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation,

### getDocValuesFormatForField

public DocValuesFormat getDocValuesFormatForField(String field)
Returns the docvalues format that should be used for writing new segments of `field` .

The default implementation always returns "Lucene90".

WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

### getKnnVectorsFormatForField

public KnnVectorsFormat getKnnVectorsFormatForField(String field)
Returns the vectors format that should be used for writing new segments of `field`

The default implementation always returns "Lucene99HnswVectorsFormat".

WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

### docValuesFormat

public final DocValuesFormat docValuesFormat()
Description copied from class: `Codec`
Encodes/decodes docvalues

Specified by:
  `docValuesFormat` in class `Codec`

### normsFormat

public final NormsFormat normsFormat()
Description copied from class: `Codec`
Encodes/decodes document normalization values

Specified by:
  `normsFormat` in class `Codec`